--- old/usr/src/cmd/ldap/ns_ldap/idsconfig.sh	2013-05-26 18:22:40.676816177 +0000
+++ new/usr/src/cmd/ldap/ns_ldap/idsconfig.sh	2013-05-26 18:22:40.692685098 +0000
@@ -974,7 +974,7 @@
     DEBUG=0             # Set Debug OFF
     BACKUP=no_ldap	# backup suffix
     HOST=""		# NULL or <hostname>
-    NAWK="/usr/bin/nawk"
+    AWK="/usr/xpg4/bin/awk"
     RM="/usr/bin/rm"
     WC="/usr/bin/wc"
     CAT="/usr/bin/cat"
@@ -1424,10 +1424,10 @@
 get_krb_realm() {
 
     # To upper cases
-    LDAP_KRB_REALM=`${ECHO} ${LDAP_DOMAIN} | ${NAWK} '{ print toupper($0) }'`
+    LDAP_KRB_REALM=`${ECHO} ${LDAP_DOMAIN} | ${AWK} '{ print toupper($0) }'`
     get_ans_req "Enter Kerberos Realm:" "$LDAP_KRB_REALM"
     # To upper cases
-    LDAP_KRB_REALM=`${ECHO} ${ANS} | ${NAWK} '{ print toupper($0) }'`
+    LDAP_KRB_REALM=`${ECHO} ${ANS} | ${AWK} '{ print toupper($0) }'`
 }
 
 # $1: DN
@@ -5063,7 +5063,7 @@
     # but We do not know the value of the ${LDAP_PROXYAGENT} here, so
     # 1. if only one match found, delete it
     # 2. if more than one matches found, ask the user which one to delete
-    HOWMANY=`${WC} -l ${TMPDIR}/grep_proxyread_aci | ${NAWK} '{print $1}'`
+    HOWMANY=`${WC} -l ${TMPDIR}/grep_proxyread_aci | ${AWK} '{print $1}'`
     if [ $HOWMANY -eq 0 ]; then
 	${ECHO} "Proxy ACI ${PROXY_ACI_NAME} does not exist for ${LDAP_BASEDN}."
 	return 0
@@ -5087,7 +5087,7 @@
 	    	${TMPDIR}/proxy_agent_list
 
 	    # print the proxy agent list
-	    ${NAWK} '{print NR ": " $0}' ${TMPDIR}/proxy_agent_list
+	    ${AWK} '{print NR ": " $0}' ${TMPDIR}/proxy_agent_list
 
 	    # ask the user to pick one
 	    _MENU_PROMPT="Select the proxy agent (1-$HOWMANY): "
